Date: Saturday, March 25, 2023 @ 12:19:06
  Author: seblu
Revision: 471999

upgpkg: coreutils 9.2-2

- fix FS#77969

Modified:
  coreutils/trunk/PKGBUILD

----------+
 PKGBUILD |   22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD    2023-03-25 12:01:34 UTC (rev 471998)
+++ PKGBUILD    2023-03-25 12:19:06 UTC (rev 471999)
@@ -5,28 +5,30 @@
 
 pkgname=coreutils
 pkgver=9.2
-pkgrel=1
+pkgrel=2
 pkgdesc='The basic file, shell and text manipulation utilities of the GNU 
operating system'
 arch=('x86_64')
 license=('GPL3')
 url='https://www.gnu.org/software/coreutils/'
 depends=('glibc' 'acl' 'attr' 'gmp' 'libcap' 'openssl')
-source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig}
+        
'01-FS#77969.patch::https://git.savannah.gnu.org/cgit/coreutils.git/patch/?id=76f2fb627118a26c25003dbd98c22c153b7ee1d2')
 validpgpkeys=('6C37DC12121A5006BC1DB804DF6FD971306037D9') # Pádraig Brady
 sha256sums=('6885ff47b9cdb211de47d368c17853f406daaf98b148aaecdf10de29cc04b0b3'
-            'SKIP')
+            'SKIP'
+            'a3cc5d1548bd6a26e1b8f4cff076862243af9faaffc4c257a0c766457fd028cc')
 
 prepare() {
   cd $pkgname-$pkgver
   # apply patch from the source array (should be a pacman feature)
-  local filename
-  for filename in "${source[@]}"; do
-    if [[ "$filename" =~ \.patch$ ]]; then
-      echo "Applying patch ${filename##*/}"
-      patch -p1 -N -i "$srcdir/${filename##*/}"
-    fi
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    echo "Applying patch $src..."
+    patch -Np1 < "../$src"
   done
-  :
 }
 
 build() {

Reply via email to